Loading...
Searching...
No Matches
jsonrpc.h File Reference
`#include "engine.h"`
`#include <bitset>`
`#include <queue>`
`#include <giomm/init.h>`
`#include <giomm/socketservice.h>`
`#include "jsonrpc_methods.h"`

Go to the source code of this file.

## Classes

class | JsonValue
class | JsonArray
class | CmdConnection
struct | CmdConnection::methodnames
struct | broadcast_data
class | GxService
struct | GxService::ChangedPlugin

## Macros

#define | SRC_HEADERS_JSONRPC_H_

## Functions

const char * | engine_state_to_string (gx_engine::GxEngineState s)
gx_engine::GxEngineState | string_to_engine_state (const std::string &s)

## Macro Definition Documentation

## SRC_HEADERS_JSONRPC_H_

#define SRC_HEADERS_JSONRPC_H_

Definition at line 23 of file jsonrpc.h.

## Function Documentation

## engine_state_to_string()

const char * engine_state_to_string | ( | gx_engine::GxEngineState | s | ) |

## string_to_engine_state()

gx_engine::GxEngineState string_to_engine_state | ( | const std::string & | s | ) |